|  | reflex::Unicode Namespace Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
reflex::Unicode Namespace Reference

## Classes

class | Tables

## Functions

const int * | range (const char *)
| Return table entry pointer to [lo,hi] range of characters for the given Unicode class name, or return NULL. More...
int | compose (int, int)
| Normalize Unicode by composition of prev and next characters into one, or return -1. More...
int | toupper (int c)
| Unicode translations between lower case and upper case letters. More...
int | tolower (int c)
int | invcase (int c)

## Function Documentation

int reflex::Unicode::compose | ( | int | ,
|  | int |
| ) |  |

Normalize Unicode by composition of prev and next characters into one, or return -1.

int reflex::Unicode::invcase | ( | int | c | ) |

const int* reflex::Unicode::range | ( | const char * |  | ) |

Return table entry pointer to [lo,hi] range of characters for the given Unicode class name, or return NULL.

int reflex::Unicode::tolower | ( | int | c | ) |

int reflex::Unicode::toupper | ( | int | c | ) |

Unicode translations between lower case and upper case letters.